struct receiver {
	int (*init)(struct receiver *r);
	void (*shutdown)(void);
	int (*setup_select_parms)(fd_set *rfds, fd_set *wfds, struct timeval *timeout);
	int (*handle_fds)(int select_ret, fd_set *rfds, fd_set *wfds);
	char *buffer;
	size_t loaded;
	struct timeval chunk_tv;
	const char *name;
};
enum {	E_SELECT = 1,
	E_READ,
	E_WRITE,
	E_SYNTAX,
	E_OVERRUN,
	E_HOST_INFO,
	E_SOCKET,
	E_CONNECT,
	E_MISSING_OK,
	E_MSG_TO_BUF
};
